.header {
  .header-nav {
    @extend %flexbox;
    @include align-items(stretch);
    @include justify-content(space-between);
    @include gradient-orientation(
      $orientation: $header-nav-bg-orientation,
      $start-color: $header-nav-bg-color-1,
      $end-color: $header-nav-bg-color-2,
      $start-percent: $header-nav-bg-start-percent,
      $end-percent: $header-nav-bg-end-percent
    );
    height: $header-nav-height;
    border-width: $header-nav-border-width;
    border-style: $header-nav-border-style;
    border-color: $header-nav-border-color;
    box-shadow: $header-nav-shadow;
    padding: $header-nav-padding;
    color: $header-nav-font-color;
    .header-left, .header-right {
      @extend %flexbox;
      @include align-items(center);
    }
    .header-left {
      @include flex(1);
      @include align-items(stretch);
      .btn.menu-button {
        margin-right: $header-nav-btn-menu-m-r;
        padding: $header-nav-btn-menu-padding;
        width: $header-nav-btn-menu-width;
        color: $header-nav-btn-menu-color;
        border-width: $header-nav-btn-menu-border-width;
        border-style: $header-nav-btn-menu-border-style;
        border-color: $header-nav-btn-menu-border-color;
        border-radius: 0;
        background: transparent;
        i {
          font-size: $header-nav-btn-menu-size;
          color: $header-nav-btn-menu-color;
        }
      }
      .search input {
        height: 100%;
      }
    }
    .header-right {
      padding-right: $content-margin-small;
     @include media-breakpoint-up(sm) { padding-right: $content-margin-medium; }
      @include media-breakpoint-up(lg) { padding-right: $content-margin-large; }
      .btn-group {
        width: auto;
        .btn {
          background-color: $header-nav-btn-bg-color;
          i {
            color: $header-nav-btn-color;
            font-size: $header-nav-btn-size;
          }
        }
      }
      .header-date {
        font-size: $header-date-size;
        margin-left: $header-date-m-l;
        @include media-breakpoint-down(sm) {
          display: none;
        }
      }
    }
    .header-title {
      @extend %flexbox;
      @include align-items(center);
      font-size: $header-nav-title-size;
      font-weight: $header-nav-title-weight;
      margin-right: $header-nav-title-m-r;
      white-space: nowrap;
    }
    .search {
      @extend %flexbox;
      @include align-items(center);
      i {
        margin-right: 6px;
        opacity: .4;
        order: -1;
      }
      input {
        border: none;
        background-color: transparent;
        padding: 0;
        &:hover {
          & + i {
            opacity: .7;
          }
        }
        &:focus {
          & + i {
            opacity: 1;
          }
        }
      }
    }
    &+ .header-title {
      font-size: $header-maintitle-size;
      font-weight: $header-maintitle-weight;
      color: $header-title-color;
      border-bottom: $header-title-border-bottom;
      padding: $content-margin-small;
      @include gradient-orientation(
        $orientation: $header-title-bg-orientation,
        $start-color: $header-title-bg-color-1,
        $end-color: $header-title-bg-color-2,
        $start-percent: $header-title-bg-start-percent,
        $end-percent: $header-title-bg-end-percent
      );
      @include media-breakpoint-up(sm) {
        padding: $content-margin-medium;
      }
      @include media-breakpoint-up(lg) {
        padding: $content-margin-medium $content-margin-large;
      }
      .header-maintitle {
        font-size: $header-maintitle-size;
        font-weight: $header-maintitle-weight;
      }
      .header-subtitle {
        font-size: $header-subtitle-size;
        font-weight: $header-subtitle-weight;
        color: $header-subtitle-color;
        margin: $header-subtitle-margin;
      }
    }
  }
}
